<?php	
	//---------------------------------------------------------------------------------------------------------
	// 24/Junio/2019
	// Versión 1.0 Cogemos los datos del formulario de contacto y los reenviamos
	//---------------------------------------------------------------------------------------------------------
	
	//$resultado_contacto ==> 0 Todo correcto, 1 => incorrecto, 2 => enviado
	$resultado_contacto = 0;
	//$prueba = Getter::getList();
	//var_dump($prueba);

	if (!isset($_POST)){

		$resultado_contacto = 1;
	}else if (count($_POST) > 0){
		$texto_enviar = '';
		$email_cliente = '';
		foreach($_POST as $nombreCampo => $valor){
			if (is_string($valor)){
				if (strpos($nombreCampo, 'captcha') === false){
					$texto_enviar .= '<strong>'. $nombreCampo . ':</strong> ' . $valor . "\n<br/>";
				}
			}
			if ($nombreCampo == 'mail'){
				$email_cliente = $valor;
			}
		}
		if ($texto_enviar != ''){
			//Enviamos el email
			if (Email::sendMail(array(
					//Parámetros básicos
					'destinatario' => Shop::$empresa->direccion_email . ',' . Shop::$empresa->nombre_legal,
					'asunto' => html_entity_decode(traducir('Contacto enviado a través de la web ' . Shop::$configuracion->url)), 
					'contenido' => $texto_enviar,
					'templateFile' => 'email.php'
				))
			){
				$resultado_contacto = 2;
				if ($email_cliente != ''){
					Email::sendMail(array(
						//Parámetros básicos
						'destinatario' => $email_cliente,
						'asunto' => traducir('Contacto recibido desde la web ' . Shop::$configuracion->url), 
						'contenido' => traducir('Hemos recibido su solicitud de contacto. En breve nos pondremos en contacto con usted. Muchas gracias.'),
						'templateFile' => 'email.php'
					));
				}
			}
		}
	}
	//echo "<br>";
//var_dump($resultado_contacto);
	Sections::setParam('resultado_contacto', $resultado_contacto);